Bug 1009986 - GUI / welcome page: locale drop down is not clickable when the page contains a scroll-bar
GUI / welcome page: locale drop down is not clickable when the page contains ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alexander Wels
movciari
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 12:11 EDT by Einav Cohen
Modified: 2016-01-28 16:56 EST (History)
6 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:15:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen-cast: welcome page (1.06 MB, video/ogg)
2013-09-19 12:11 EDT, Einav Cohen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19488 None None None Never
oVirt gerrit 19809 None None None Never

  None (edit)
Description Einav Cohen 2013-09-19 12:11:31 EDT
Created attachment 800034 [details]
screen-cast: welcome page

Description of problem:
When attempting to change the selected locale in the locale drop-down within the welcome page or in one of the GUI applications (web-admin/user-portal) while the browser page contains a vertical scroll bar, the locale drop down doesn't react as a drop-down (behavior seems more like a label behavior).

How reproducible:
100%

Steps to Reproduce:
1. open your browser on either a low-res screen or in a (non-maximized) window which its height has been decreased.
2. browse to the RHEV welcome page
3. scroll down to see the locale drop-down on the bottom-right part of the page
4. click on the locale drop-down in an attempt to change the selected locale

Actual results:
locale drop-down doesn't respond (i.e. it acts like a label, rather than a drop down)

Expected results:
locale drop-down responds properly like a drop-down (i.e. display a list of all available locales upon click)

Additional info:
- see attached video for demonstration of the problem (tested on latest ovirt upstream with the RHEV branding applied + patch for Bug 997418 applied).
- problem occurs only when the window contains a scroll-bar and we need to scroll down in order to see the locale drop-down. When the window doesn't contain a scroll-bar, behavior of the locale drop-down is OK.
- tested on multiple browsers on Fedora 17/19 (FF22, FF23, Chrome)
Comment 1 Itamar Heim 2014-01-21 17:15:42 EST
Closing - RHEV 3.3 Released
Comment 2 Itamar Heim 2014-01-21 17:22:44 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.